Bug 1309574 - user and group systemd-coredump are not created. [NEEDINFO]
user and group systemd-coredump are not created.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
25
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
: 1348891 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-18 02:41 EST by Yu Watanabe
Modified: 2017-11-29 10:37 EST (History)
9 users (show)

See Also:
Fixed In Version: systemd-232-1.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-29 10:37:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jpazdziora: needinfo? (systemd-maint)


Attachments (Terms of Use)

  None (edit)
Description Yu Watanabe 2016-02-18 02:41:59 EST
Description of problem:

When install systemd-229, user and group systemd-coredump are not created.
As written in the NEWS, those should be created in the pre-install script of the rpm.

Version-Release number of selected component (if applicable):

systemd-229-2.fc24.x86_64

How reproducible:

Always.

Steps to Reproduce:
1. Install or update systemd.
2. cat /etc/passwd or cat /etc/group
3.

Actual results:

User systemd-coredump and group systemd-coredump are not created.

Expected results:

User systemd-coredump and group systemd-coredump are created.

Additional info:
Comment 1 Jan Kurik 2016-02-24 10:25:37 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Zbigniew Jędrzejewski-Szmek 2016-11-03 20:18:01 EDT
*** Bug 1348891 has been marked as a duplicate of this bug. ***
Comment 3 Fedora End Of Life 2017-07-25 16:11:13 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Jan Pazdziora 2017-07-28 08:23:42 EDT
This does not seem to be fixed in Fedora 25:

$ docker run -ti --rm registry.fedoraproject.org/fedora:25 grep systemd-coredump /etc/passwd

OTOH, on Fedora 26, the record seems to be there:

$ docker run -ti --rm registry.fedoraproject.org/fedora:26 grep systemd-coredump /etc/passwd
systemd-coredump:x:999:998:systemd Core Dumper:/:/sbin/nologin
Comment 5 Jan Pazdziora 2017-07-28 08:25:06 EDT
Hmm, given the Fixed In Version is filled but this bugzilla was kept in NEW state and not moved to CLOSEED NEXTRELEASE, I'm not really sure if the plan is to also address it in Fedora 25 or not. I'll leave it to systemd maintainers to sort out the status of this bug.
Comment 6 Jan Pazdziora 2017-10-18 04:48:20 EDT
Could you please update the status of this bugzilla based on the current plans?
Comment 7 Fedora End Of Life 2017-11-16 14:31:46 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 8 Jan Pazdziora 2017-11-29 10:37:09 EST
Sigh.

Note You need to log in before you can comment on or make changes to this bug.